iPOS Transact
PreAuth-CardToken
POST/preauth-cardtoken

Submits a payment transaction request using transaction type 5, a stored card token, and AVS parameters.

Header Parameters

token*
string

Body Parameters

merchantAuthentication

merchantId
string
transactionReferenceId
string

preferences

eReceipt
boolean
customerName
string
customerEmail
string
customerMobile
string
requestCardToken
boolean

transactionRequest

amount
string
transactionType
number
cardToken
string
applySteamSettingTipFeeTax
boolean
POST/preauth-cardtoken
1curl --location 'https://payment.ipospays.tech/api/v3/iposTransact' \
2--header 'token: ' \
3--header 'Content-Type: application/json' \
4--data '{
5 "merchantAuthentication": {
6 "merchantId": "567025324141",
7 "transactionReferenceId": "TXN1718000000123"
8 },
9 "preferences": {
10 "eReceipt": false,
11 "customerName": "John Doe",
12 "customerEmail": "johndoe@example.com",
13 "customerMobile": "+14242424243",
14 "requestCardToken": true
15 },
16 "transactionRequest": {
17 "amount": "2500",
18 "transactionType": 5,
19 "cardToken": "card-token-value-example",
20 "applySteamSettingTipFeeTax": false
21 }
22}'
Response

// Awaiting response…

Sample response
{
  "iposhpresponse": {
    "responseCode": "200",
    "responseMessage": "success",
    "errResponseCode": "",
    "errResponseMessage": "",
    "transactionReferenceId": "TXN1718000000123",
    "transactionType": "5",
    "transactionId": "TXID-88990011",
    "amount": "2500",
    "responseApprovalCode": "APP12345",
    "rrn": "219313501821",
    "transactionNumber": "4321",
    "batchNumber": "123",
    "customFee": "0",
    "totalAmount": "2500"
  }
}